osgDB::FileLocationCallback Class Referenceabstract

`#include <Callbacks>`

Inheritance diagram for osgDB::FileLocationCallback:

## Public Types

enum | Location { LOCAL_FILE , REMOTE_FILE }

## Public Member Functions

virtual Location | fileLocation (const std::string &filename, const Options *options)=0
virtual bool | useFileCache () const =0
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Protected Member Functions

virtual | ~FileLocationCallback ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Member Enumeration Documentation

## Location

enum osgDB::FileLocationCallback::Location

Enumerator
LOCAL_FILE |
REMOTE_FILE |

## Constructor & Destructor Documentation

## ~FileLocationCallback()

virtual osgDB::FileLocationCallback::~FileLocationCallback | ( |  | ) |

inline protected virtual

## Member Function Documentation

## fileLocation()

virtual Location osgDB::FileLocationCallback::fileLocation | ( | const std::string & | filename,
|  | const Options * | options )

pure virtual

## useFileCache()

virtual bool osgDB::FileLocationCallback::useFileCache | ( |  | ) | const

pure virtual

The documentation for this class was generated from the following file:

- osgDB/Callbacks